Bug 135233 - X.org does not display euro, tilde, "]" & "[" are incorrect on Dutch Keyboards
X.org does not display euro, tilde, "]" & "[" are incorrect on Dutch Keyboards
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: Triaged
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-10-11 01:22 EDT by Traxtopel
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 10:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Addes euro,tilde fixes brackets (1.94 KB, patch)
2004-10-11 09:06 EDT, Traxtopel
no flags Details | Diff
Adds euro,tilde, brackets (1.08 KB, patch)
2004-10-11 09:07 EDT, Traxtopel
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 3544 None None None Never

  None (edit)
Description Traxtopel 2004-10-11 01:22:19 EDT
For IBM Dutch Keyboards.

This is a follow on to bug report 135173

X.org does not display euro sign.
Tilde also does not work.
Left and right brackets "]" & "[" are the wrong way around.

The following patches fix these issue's.

diff -u /usr/X11R6/lib/X11/xkb/symbols/nl.orig
/usr/X11R6/lib/X11/xkb/symbols/nl
--- /usr/X11R6/lib/X11/xkb/symbols/nl.orig      2004-09-14
17:48:41.000000000 +0200
+++ /usr/X11R6/lib/X11/xkb/symbols/nl   2004-10-05 16:39:48.000000000
+0200
@@ -37,7 +37,7 @@
     key <AE12> {       [    degree,    dead_tilde      ],
                        [ dead_cedilla                  ]       };
     key <AD03> {       [         e,    E               ],
-                       [    eacute,    Eacute          ]       };
+                       [    EuroSign,  cent            ]       };
     key <AD04> {       [         r,    R               ],
                        [ paragraph,    registered      ]       };
     key <AD05> {       [         t,    T               ],
@@ -52,7 +52,7 @@
                        [    ograve,    Ograve          ]       };
     key <AD10> {       [         p,    P               ],
                        [ paragraph                     ]       };
-    key <AD11> {       [ dead_diaeresis,       dead_tilde      ],
+    key <AD11> {       [ dead_diaeresis,       dead_circumflex ],
                        [ asciitilde,   asciicircum     ]       };
     key <AD12> {       [  asterisk,    bar             ]       };
     key <AC01> {       [         a,    A               ],
@@ -85,7 +85,7 @@
                        [ periodcentered,       guillemotright  ]       };
     key <AB10> {       [     minus,    equal           ],
                        [    hyphen                     ]       };
-    key <LSGT> {       [ bracketleft,  bracketright    ],
+    key <LSGT> {       [ bracketright, bracketleft     ],
                        [       bar                     ]       };

     // End alphanumeric section

diff -u /usr/X11R6/lib/X11/xkb/symbols/pc/nl.orig
/usr/X11R6/lib/X11/xkb/symbols/pc/nl
--- /usr/X11R6/lib/X11/xkb/symbols/pc/nl.orig   2004-09-14
17:48:42.000000000 +0200
+++ /usr/X11R6/lib/X11/xkb/symbols/pc/nl        2004-10-05
16:39:48.000000000 +0200
@@ -6,7 +6,7 @@
 // converted from the nl-latin.map of the Linux kbd package by
 // Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>
 //
-// $XFree86: xc/programs/xkbcomp/symbols/pc/nl,v 1.2 2002/11/22
04:03:28 dawes Exp $
+// $XFree86$

 default partial alphanumeric_keys
 xkb_symbols "basic" {
@@ -23,15 +23,14 @@
     key <AE10> { [         0, apostrophe,   braceright,       degree ] };
     key <AE11> { [     slash,   question,    backslash, questiondown ] };
     key <AE12> { [    degree, dead_tilde, dead_cedilla,  dead_ogonek ] };
-
-    key <AD03> { [         e,          E,       eacute,       Eacute ] };
+    key <AD03> { [         e,          E,     EuroSign,         cent ] };
     key <AD05> { [         t,          T,        thorn,        THORN ] };
     key <AD06> { [         y,          Y,   ydiaeresis,          yen ] };
     key <AD07> { [         u,          U,   udiaeresis,   Udiaeresis ] };
     key <AD08> { [         i,          I,   idiaeresis,   Idiaeresis ] };
     key <AD09> { [         o,          O,       ograve,       Ograve ] };
     key <AD10> { [         p,          P,    paragraph,        THORN ] };
-    key <AD11> { [dead_diaeresis, dead_tilde, asciitilde, asciicircum] };
+    key <AD11> { [dead_diaeresis, dead_circumflex, asciitilde,
asciicircum]    };
     key <AD12> { [  asterisk,        bar,   dead_tilde,  dead_macron ] };

     key <AC01> { [         a,          A,       aacute,       Aacute ] };
@@ -47,7 +46,7 @@
     key <AB09> { [    period,      colon, periodcentered,
guillemotright ] };
     key <AB10> { [     minus,      equal,       hyphen, dead_abovedot] };

-    key <LSGT> { [bracketleft, bracketright,       bar,    brokenbar ] };
+    key <LSGT> { [bracketright, bracketleft,       bar,    brokenbar ] };

     include "level3(ralt_switch_multikey)"
 };
Comment 1 Traxtopel 2004-10-11 09:06:22 EDT
Created attachment 105010 [details]
Addes euro,tilde fixes brackets
Comment 2 Traxtopel 2004-10-11 09:07:13 EDT
Created attachment 105011 [details]
Adds euro,tilde, brackets
Comment 3 Traxtopel 2004-10-11 09:07:37 EDT
Added Attachments.
Comment 8 Mike A. Harris 2005-06-16 03:10:33 EDT
I've filed https://bugs.freedesktop.org/show_bug.cgi?id=3544 in X.Org bugzilla
to track this request upstream.

Once the requested changes are accepted by X.Org, we will include
them in our future builds.
Comment 9 Mike A. Harris 2005-06-16 03:15:37 EDT
Setting status to "NEEDINFO", awaiting an indication of acceptance in
upstream bugzilla.
Comment 14 Mike A. Harris 2005-06-30 14:49:17 EDT
Status update:

I've updated the upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=3544
and attached a new patch against X source code there.

I've initiated a discussion on xorg@lists.freedesktop.org concerning the
issue as well, to seek expedient closure.  Once we get closure on the
issue upstream, we will include the solution that gets committed to upstream
CVS in a future OS update release.
Comment 15 Mike A. Harris 2005-07-12 07:03:46 EDT
Fixed on June 30 in build 6.8.2-1.EL.13.10 for future RHEL4 update.  Setting
status to "MODIFIED" pending testing.

RPM packages containing this fix will be temporarily available for
a week or so at:

ftp://people.redhat.com/mharris/testing/4E
Comment 16 Fedora Update System 2005-09-16 17:25:32 EDT
From User-Agent: XML-RPC

xorg-x11-6.8.2-1.FC3.45 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 17 Red Hat Bugzilla 2005-10-05 10:32:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-500.html

Note You need to log in before you can comment on or make changes to this bug.